const TestCase = require('./testcase');

const urls = {
  'login': 'https://login-z1-test.cebg.games',
  'cloud': 'https://cloud-z1-test.cebg.games',
  'service': 'https://service-z1-test.cebg.games',
  'gamelog': 'https://gamelog-z1-test.cebg.games',
  'mail': 'https://gamemail-z1-test.cebg.games',
  'stat': 'https://stat-z1-test.cebg.games',
  'game2006api': 'https://game2006api-z1-test.cebg.games',
  'relation': 'ws://relation-z1-test.cebg.games/friend/websocket',
  'game2006': 'ws://game2006-z1-test.cebg.games',
  'game2006-n1': 'ws://game2006-z1-test-n1.cebg.games',
};

async function start() {
  const zId = process.argv[2];
  for (let key in urls) {
    urls[key] = urls[key].replace('-z1-', `-z${zId}-`);
  }
  const testCase = new TestCase(urls);
  await testCase.init();
}

start();
